ctrl+shift+p filters: :st2 :st3 :win :osx :linux
Browse

Sublime​Linter-jscs

by SublimeLinter ST3

SublimeLinter 3 plugin for jscs

Details

Installs

  • Total 32K
  • Win 12K
  • OS X 14K
  • Linux 6K
Feb 24 Feb 23 Feb 22 Feb 21 Feb 20 Feb 19 Feb 18 Feb 17 Feb 16 Feb 15 Feb 14 Feb 13 Feb 12 Feb 11 Feb 10 Feb 9 Feb 8 Feb 7 Feb 6 Feb 5 Feb 4 Feb 3 Feb 2 Feb 1 Jan 31 Jan 30 Jan 29 Jan 28 Jan 27 Jan 26 Jan 25 Jan 24 Jan 23 Jan 22 Jan 21 Jan 20 Jan 19 Jan 18 Jan 17 Jan 16 Jan 15 Jan 14 Jan 13 Jan 12 Jan 11 Jan 10
Windows 2 10 2 8 10 5 3 3 6 8 2 4 4 2 3 4 5 6 3 7 1 6 10 6 8 5 8 4 4 6 11 5 7 7 6 3 9 13 5 22 6 5 7 7 5 9
OS X 0 2 4 0 1 0 1 0 2 5 2 4 1 2 2 4 4 3 4 6 2 1 8 4 3 5 3 4 2 1 4 6 3 3 2 2 3 5 0 4 3 4 2 1 6 5
Linux 5 1 2 0 1 1 0 1 1 0 3 0 4 2 6 4 1 1 0 1 0 2 3 4 1 1 1 3 1 3 2 3 0 3 0 3 1 1 1 2 0 1 2 1 0 2

Readme

Source
raw.​githubusercontent.​com

SublimeLinter-jscs

Build Status

This linter plugin for SublimeLinter provides an interface to jscs. It will be used with files that have the “Javascript”, “JavaScript Next”, “JavaScript (JSX)” or “JavaScript (Babel)” syntax.

SublimeLinter-jscs

Installation

SublimeLinter must be installed in order to use this plugin.

Please use Package Control to install the linter plugin.

Before using this plugin, you must ensure that jscs (1.0.10 or later, 1.9.0 or later for JSX support) is installed on your system. To install jscs, do the following:

  1. Install Node.js (and npm on Linux).

  2. Install jscs by typing the following in a terminal:

npm install -g jscs
  1. If you are using nvm and zsh, ensure that the line to load nvm is in .zshenv and not .zshrc.

  2. If you are using zsh and oh-my-zsh, do not load the nvm plugin for oh-my-zsh.

In order for jscs to be executed by SublimeLinter, you must ensure that its path is available to SublimeLinter. The docs cover troubleshooting PATH configuration.

Settings

Since this plugin is executing jscs on your system, you may use .jscsrc files to configure its behavior. See the jscs documentation for more information.

If you wish to run against jsx files, you will need to install esprima-fb with npm install -g esprima-fb add the following lines to your .jscsrc file:

...
    "esprima": "esprima-fb",
    "fileExtensions": [".js", ".jsx"],
...